src.m.Parking.Parking Class Reference

Representation d'un parking de DreamPark. More...

## Public Member Functions

def | __init__
| Constructeur du Parking. More...
def | id (self)
| Propriete : id du Parking.
def | nom (self)
| propriete : nom du Parking
def | nbPlaces (self)
| propriete : nombre de Place du Parking
def | nbPlacesLibresParking (self)
| propriete : nombre de Place libres du Parking
def | nbSuperAbo (self)
| propriete : nombre de Place super abo
def | listeTypePlace (self)
| propriete : listeTypePlace
def | recherchePlace (self, voiture)
| Recherche une Place pour une Voiture. More...
def | addPlaceSuperAbo (self)
| Ajout d'une place sur mesure pour super abo.
def | __str__ (self)
| Representation du Parking en chaine.

## Static Public Member Functions

def | get (id)
| Retourne un objet parking correspondant à l'id. More...
def | getAllActif ()
| Retourne tout les Parking actif present dans la bd.
def | remove (parking)
| Supprime un parking. More...
def | removeAllRam ()
| Supprime les parkings present dans la mémoire vive (pas dans la bd)

## Static Public Attributes

list | parkings = []

## Detailed Description

Representation d'un parking de DreamPark.

## Constructor & Destructor Documentation

def src.m.Parking.Parking.__init__ | ( |  | self,
|  |  | id,
|  |  | nom = `None`,
|  |  | listeTypePlace = `None`
| ) |  |

Constructeur du Parking.

Parameters

  id | Si None : Cree un Parking dans la BD Sinon : tentative de récupération du Parking avec cet id dans la bd
  nom | : Si creation nom du parking
  listeTypePlace | : Si creation Liste des TypePlace du parking

## Member Function Documentation

def src.m.Parking.Parking.get | ( |  | id | ) |

static

Retourne un objet parking correspondant à l'id.

Parameters

  id | id du Parking a retourner

def src.m.Parking.Parking.recherchePlace | ( |  | self,
|  |  | voiture
| ) |  |

Recherche une Place pour une Voiture.

Parameters

  voiture | Voiture pour laquel on recherche la Place

Returns
  Place Si touvé : Place sinon : None

def src.m.Parking.Parking.remove | ( |  | parking | ) |

static

Supprime un parking.

Parameters

  parking | L'objet parking a supprimer

The documentation for this class was generated from the following file:

- src/m/Parking.py